Package uk.ac.starlink.table.join

# Interface HealpixMask.PixelTester

Enclosing interface:
  `HealpixMask`

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public static interface HealpixMask.PixelTester
Defines a way to test inclusion of HEALPix pixels in an area.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`containsPixel(int order, long ipix)`
Tests whether an area contains all or part of a given HEALPix pixel.

## Method Details

### containsPixel

boolean containsPixel(int order, long ipix)
Tests whether an area contains all or part of a given HEALPix pixel.

Note this method must be thread-safe, it may be called from multiple threads concurrently.

Parameters:
  `order` - HEALPix order
  `ipix` - HEALPix pixel index at order `order`
Returns:
  true iff the indicated pixel is wholly or partially covered by the area; false positives are permitted